MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006031ardourbugspublic2014-11-17 03:162016-02-13 15:50
Reportercolinf 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.7 
Summary0006031: Inactive MIDI track header don't have inactive appearance on session reload.
DescriptionIf a session is saved with a MID track de-activated, on re-loading the session that track's header in the editor appears in the normal MIDI track header colour, not the inactive colour.

Also, the 'Active' item in the track menu is sometimes greyed out in this case, making it impossible to re-activate the track. This only happens occasionally: I haven't worked out under exactly what circumstances yet.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017912)
colinf (updater)
2016-02-11 09:07

I still see this in 4.6.304.

Incidentally, the distinction between the active and inactive MIDI track header colour is quite subtle, but if you have both active and inactive MIDI tracks in a session, it's easy to see that their headers are all the same colour when the session is loaded.

As for the 'Active' tick box being greyed out, I realise now that it's disabled whenever the transport's rolling: I haven't noticed it disabled in any other cases that I can think of now.
(0017918)
elgoun (reporter)
2016-02-11 15:53

I just submitted a PR on github about that issue.
(0017926)
timbyr (developer)
2016-02-12 19:20

I committed the PR for this issue to ardour master as d405a0059d and it will be included in a nightly build >= 4.6.333

If you can test and confirm I will mark this bug as resolved
(0017928)
colinf (updater)
2016-02-13 14:58

Yes, looks good: I can confirm that inactive MIDI tracks now have the inactive track header colour on session load. Thanks all!

- Issue History
Date Modified Username Field Change
2014-11-17 03:16 colinf New Issue
2016-02-11 09:07 colinf Note Added: 0017912
2016-02-11 15:53 elgoun Note Added: 0017918
2016-02-12 19:20 timbyr Note Added: 0017926
2016-02-12 19:20 timbyr Assigned To => timbyr
2016-02-12 19:20 timbyr Status new => feedback
2016-02-13 14:58 colinf Note Added: 0017928
2016-02-13 14:58 colinf Status feedback => assigned
2016-02-13 15:50 timbyr Status assigned => resolved
2016-02-13 15:50 timbyr Fixed in Version => 4.7
2016-02-13 15:50 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker